Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PrinterSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_PublicObjectSelector
              oracle.ifs.server.S_ApplicationObjectSelector
                  oracle.ifs.server.S_PropertyBundleSelector
                      oracle.ifs.server.S_PrinterSelector

    public class S_PrinterSelector

extends S_PropertyBundleSelector

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_PrinterSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_PrinterSelector object.

Method Summary

Methods inherited from class oracle.ifs.server.S_PublicObjectSelector
`getLeftObjectsCountSelectStatement, getLeftObjectsSelectStatement, getRightObjectsCountSelectStatement, getRightObjectsSelectStatement, selectLeftObjects, selectLeftObjectsCount, selectLeftObjectsCursor, selectRightObjects, selectRightObjectsCount, selectRightObjectsCursor`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_PrinterSelector

    protected S_PrinterSelector(S_LibrarySession session,
                                java.lang.Long classId)
                         throws IfsException

  Construct a S_PrinterSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD